Bug 215622 - Empty Data Sets not getting Rendered correctly with the New List Tag
Empty Data Sets not getting Rendered correctly with the New List Tag
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Preethi Thomas
Depends On: 237994
Blocks: 173427
  Show dependency treegraph
Reported: 2006-11-14 16:30 EST by Partha Aji
Modified: 2007-06-25 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-25 23:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ss of problem (485.35 KB, image/png)
2007-05-04 16:39 EDT, wes hayutin
no flags Details

  None (edit)
Description Partha Aji 2006-11-14 16:30:06 EST
A couple of corrections that ought to be handled with the new list tag in the
case of an empty data set.  If you want to see how it appears right now go to


login: commandcenter/redhat

1) We want the Update List,Select All. Unselect All buttons not to appear.. 
2) We also do not want the pagination info like "1 - 0 of 0 (0 selected)".  

I tried to tinker with the SelectableDecorator without much luck.. I donot know
how to pass parameters/hints to the SelectableDecorator about the dataset from
the ListTag class...

If this too hard to do in the tag lib, then the only thing I can suggest is copy
pasting this block in every jsp

<rl:listset name="fileSet">

  <c:when test="${empty pageList}">
    <bean:message key="channelfiles.jsp.noFiles"/>
    <rl:list dataset="..".
            .... >


I am not averse to this, but it does not seem to be a popular option and would
be nice to get it working with the taglib

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Red Hat Bugzilla 2007-04-11 21:44:33 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Partha Aji 2007-04-20 17:39:45 EDT
Should be resolved as with revision 115238
Comment 3 Partha Aji 2007-04-25 15:03:36 EDT
Moving to ON_QA
Comment 4 wes hayutin 2007-05-02 08:37:02 EDT
Partha is this ready for build 28?
I am getting ISE's after adding a config file in the sdc.
I am even getting the ISE just on listing the file now..

I logged into webdev.. I noticed the (x selected) was not working.
I'll probably want to chat w/ you to make sure I understand what the buttons
should look like too.
Comment 5 Partha Aji 2007-05-02 19:25:30 EDT
This bug has been only resolved for satellite.. I 'll clone this for a hosted
Comment 6 wes hayutin 2007-05-03 09:22:03 EDT
This will be available to test after the next iso.. due to a bug in the SDC
config mang sandbox
bug 237994
Comment 7 Partha Aji 2007-05-04 11:45:53 EDT
Should be resolved in 5.0.0-29..
Comment 8 wes hayutin 2007-05-04 16:39:41 EDT
Created attachment 154167 [details]
ss of problem

This still looks incorrect to me..
1. out of alignment
2. the # selected is wrong..
3. which buttons should be there.. I'm not 100% clear on this..
Comment 9 Partha Aji 2007-05-09 16:47:55 EDT
1) Alignment has been corrected
2) The auto incrementing of the # selected has been fixed in the new list tag...
Any way in the case of an Empty List you should NOT see the page numbering ...
3) None of the Select All, Update List, Unselect All  should be present if its
an empty list..
If the list has no items selected, then Unselect all should not show up..
Comment 10 Partha Aji 2007-05-15 15:31:24 EDT
Moving to ON_QA
Comment 11 Preethi Thomas 2007-05-16 09:51:59 EDT
Comment 12 Brandon Perkins 2007-06-25 23:08:46 EDT
Closed for Satellite 500 Release.

Note You need to log in before you can comment on or make changes to this bug.